package session

// Key is a session context key.
type Key int

// Session key definitions.
const (
	SessionKey   Key = iota // The request's cookie session object.
	UserKey                 // The request's user data for logged-in user.
	StartTimeKey            // The start time of the request.
	CSRFKey                 // CSRF token
)
